package com.nantian.cloud.jljc.vo.dualControl;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
@ApiModel(value = "能耗双控影响因素")
public class DualcontrolNoDataQuarter {

    @ApiModelProperty(value = "项目编码")
    private String itemCode;

    @ApiModelProperty(value = "项目名称")
    private String itemName;

    @ApiModelProperty(value = "年度")
    private String year;

    private String remark1;

    private String remark2;

    private String remark3;

    private String remark4;

    @ApiModelProperty(value = "季度")
    private String quarter;

    public void setQuarterRemark() {
        StringBuffer sb = new StringBuffer();
        if(this.remark1!=null && !"".equals(this.remark1)) sb.append(this.remark1).append("、");
        if(this.remark2!=null && !"".equals(this.remark2)) sb.append(this.remark2).append("、");
        if(this.remark3!=null && !"".equals(this.remark3)) sb.append(this.remark3).append("、");
        if(this.remark4!=null && !"".equals(this.remark4)) sb.append(this.remark4).append("、");
        if(sb.length()>=1){
            sb.deleteCharAt(sb.length()-1);
        }
        this.quarter = sb.toString();
    }
}
